// Efeito scroll, rolagem da página, pega a barra na esquerda e muda ela para ficar fixa
const Scroll = () => {// Arrow function `ES6`
	let top = document.getElementById( `links` );
	if ( window.pageYOffset > 180 ) {// Se a página estiver descida 180pxeis ela faz o código abaixo
		top.setAttribute( `style` , `position:fixed;height:50em;top:0;bottom:0;left:0;` )
	}else {
		top.setAttribute( `style`,`position:absolute;height:30em;top:0;bottom:0;left:0;` )
	}
}
// Ativa a nossa função
window.addEventListener( `scroll`, Scroll );
// Menu para plataforma mobile
const menu = ( wt ) => {
	if( wt === 'a' ){
		document.querySelector( '#links' ).id = "mobil"/*  */
		document.querySelector( '#mobil' ).setAttribute( 'style', 'z-index:5;animation-name:poush;animation-duration:1s;')
		document.querySelector( '.menu' ).setAttribute( 'onclick', 'menu( "b" )')
		document.querySelector( '.menu' ).setAttribute( 'src', 'https://rootthings.org/img/fmenu.jpg')					
	}else{
		document.querySelector( '.menu' ).setAttribute( 'onclick', 'menu( "a" )')
		document.querySelector( '#mobil' ).setAttribute( 'style', 'animation-name:poinsh;animation-duration:1s;')
		setTimeout(function(){					
			document.querySelector( '#mobil' ).id = "links";
		}  , 1001);
		document.querySelector( '.menu' ).setAttribute( 'src', 'https://rootthings.org/img/omenu.jpg')
	}
}
			
	// Essa variavel, local,deve ser declarada dentro do html, abaixo da tag title					
//carregaDocumento( `${local}header.html`, `.cabecalho` );// Aqui é pra importar partes da página 
//carregaDocumento( `${local}rodape.html`, `#rodape` );

/* \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/ Não precisamos mais desta função, uma vez que já temos headers altomáticos 
function carregaDocumento(arquivo, target){
let elem = document.querySelector(target);

		//Se o elemento não existir então não requisita
		// Pegando dados
fetch(arquivo)
.then(function(resposta){
	return resposta.text()// Transformando a resposta em texto 
	.then(function(text) {
		elem.innerHTML = text;
	})
})
}*/

console.log(`
*****************************************************`)
console.log(`%c 
                |   |   |
                | | | | | |
            _ _ _-----------_ _
             _ _|Root Things|_ _ _
           _ _ _|           |_ _
             _ _|	    |_ _ _
           _ _ _|	    |_ _
                ------------
                | | | | | |
                  |   |   |

		--------------
                
 Você por aqui? quer olhar o código? faz o seguinte
    vai ao nosso git clicando no link abaixo 🙊
     https://notabug.org/RootThings/paginas/`, `background: #000; color: #0f0`)
     // Aqui parece feio, mas esta na configuração de apresentação padrão do console
console.log(`*****************************************************`)
